Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.jdf
Interface TaskDescription

All Known Implementing Classes:
  LBGridTaskDescription, OurGridTaskDescription

    public interface TaskDescription

Author:
  Cyril Briquet

Method Summary
`java.lang.String` | `format(java.lang.String task_name)`
`void` | `setInputs(java.lang.String[] inputs)`
`void` | `setJar(java.lang.String jar)`
`void` | `setMainClass(java.lang.String main_class)`
`void` | `setOutputs(java.lang.String[] outputs)`
`void` | `setParameters(java.lang.String[] parameters)`
`void` | `setRemoteCmd(java.lang.String remote_cmd)`

Method Detail

### setInputs

    void setInputs(java.lang.String[] inputs)
                   throws GridException

  Throws:
    `GridException`

### setParameters

    void setParameters(java.lang.String[] parameters)
                       throws GridException

  Throws:
    `GridException`

### setJar

    void setJar(java.lang.String jar)
                throws GridException

  Throws:
    `GridException`

### setMainClass

    void setMainClass(java.lang.String main_class)
                      throws GridException

  Throws:
    `GridException`

### setRemoteCmd

    void setRemoteCmd(java.lang.String remote_cmd)
                      throws GridException

  Throws:
    `GridException`

### setOutputs

    void setOutputs(java.lang.String[] outputs)
                    throws GridException

  Throws:
    `GridException`

### format

    java.lang.String format(java.lang.String task_name)
                            throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.